Bug 847157 - [patch] add OSGI information to descriptor.jar
[patch] add OSGI information to descriptor.jar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: maven-archetype (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 847160
  Show dependency treegraph
 
Reported: 2012-08-09 18:31 EDT by Gerard Ryan
Modified: 2012-08-27 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 19:00:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add OSGI info to descriptor.jar (2.09 KB, patch)
2012-08-09 18:31 EDT, Gerard Ryan
no flags Details | Diff

  None (edit)
Description Gerard Ryan 2012-08-09 18:31:09 EDT
Created attachment 603361 [details]
Add OSGI info to descriptor.jar

This is needed for eclipse-m2e-core (maven integration for Eclipse). In the patch, I've done it in the same way as it's being done for catalog.jar using the pom macros.
Comment 1 Mikolaj Izdebski 2012-08-10 07:21:49 EDT
Fixed in F18 and F19 in version 2.1-7, thank you for the patch.
If you need this for F17 too, feel free to reopen the bug.
Comment 2 Mikolaj Izdebski 2012-08-10 07:30:49 EDT
(01:23:27 PM) grdryn: mizdebsk: hi, yeah please add that to f17 too, thanks :)
Comment 3 Fedora Update System 2012-08-10 07:57:48 EDT
maven-archetype-2.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/maven-archetype-2.1-7.fc17
Comment 4 Fedora Update System 2012-08-10 18:37:22 EDT
Package maven-archetype-2.1-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing maven-archetype-2.1-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11738/maven-archetype-2.1-7.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-27 19:00:43 EDT
maven-archetype-2.1-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.